阅读 75

【更新公告】AirtestIDE更新至1.2.12

此文章来源于项目官方公众号:“AirtestProject”
版权声明:允许转载,但转载必须保留原链接;请勿用作商业或者非法用途

1. 前言

本次更新为AirtestIDE更新,版本提升至1.2.12。

2. IDE更新详情

1)内置airtest库提升至1.2.3版本

① 修复了部分设备横竖屏显示异常的问题,尤其是模拟器和特殊安卓设备(车机设备等)。

1.2.11版本IDE连接模拟器或者部分特殊安卓设备,会出现设备画面显示不全的问题,我们可以通过更新IDE版本至最新的1.2.12来解决这个问题:

1.png

2)内置pocoui库提升至1.0.84版本

① 修改PocoService.apk,修复了部分型号手机(例如华为P40)可能在滑动过程中使用了之前缓存的节点信息,而导致无法正确获取到当前节点的最新信息的问题(即某个节点明明被滑动到了当前画面中,但是exists依然返回false的问题)

但这可能会导致在部分节点复杂的场景下,出现节点查找速度变慢的情况!

原先的两个PocoService.apk合并成了一个,去掉了PocoService-test.apk,目前只需要安装PocoService.apk即可启动poco,无需安装第二个apk

③ 目前高版本安卓手机上不会再提示Pocoservice.apk版本过低了

即使用1.2.12版本的IDE,或者使用1.0.84版本的pocoui,安卓设备仅需要安装1个Pocoservice.apk即可。

3. 如何更新

1)覆盖更新

打开AirtestIDE时,如收到下述的更新提示,可以直接选择点击左下角的【更新】按钮来完成覆盖更新:

2.png

特别注意:更新过程切勿中断,如覆盖更新时因为某些异常中断,可能导致覆盖更新失败,无法正常打开AirtestIDE。

此时我们可以卸载掉更新失败的AirtestIDE,然后到官网上下载最新版。

另外覆盖更新之前,请检查是否将脚本保存到了AirtestIDE的文件路径内,如有请备份脚本后再进行覆盖更新,否则进行 覆盖更新操作后也会覆盖掉保存在AirtestIDE路径下的脚本

2)到官网上下载最新版本

官网下载地址:airtest.netease.com/home/index.…

3.png

3)本地Python环境库更新

如需把本地Python环境的库更新至与1.2.12一样的环境,可以使用如下命令:

# airtest最新版为1.2.3
pip install -U airtest

# pocoui最新版为1.0.84
pip install -U pocoui
复制代码

4. 特别注意

1)使用最新版IDE但设置的Python环境未更至最新

如果同学们使用了最新的1.2.12版本的IDE来连接安卓设备,IDE会自动给设备安装最新版的 pocoservice.apk ,此时在这台设备上运行poco脚本,如果不是使用最新的pocoui(1.0.84版本),则无法正常启动 pocoservice.apk 。

所以同学们如果使用了1.2.12版本的IDE,并且在 选项--设置 里面设置使用本地Python环境来跑脚本,则 要检查下本地Python环境里的pocoui是否已更新到最新版 ,如未更新,请务必先使用下述命令将其更新到最新版本来运行poco自动化脚本:

pip install -U pocoui
复制代码
2)pocoservice反复重启的问题

pocoservice反复重启的问题比较常见,所以我们将重启的大部分情况及其解决办法整理到了上期的推文当中--poco不断重启?看这6点就够了,希望可以帮助大家排查此类问题。


AirtestIDE下载:airtest.netease.com/
Airtest 教程官网:airtest.doc.io.netease.com/
搭建企业私有云服务:airlab.163.com/b2b

官方答疑 Q 群:654700783

呀,这么认真都看到这里啦,帮忙在文章左侧点一下点赞和收藏,给我一个支持把,灰常感谢~

文章分类
代码人生
文章标签